@import "src/styles";

::ng-deep {

  .mat-mdc-list-item:not(:hover):not(:focus-within):not(.no-style) {
    .mat-mdc-form-field-label-wrapper, .mat-mdc-form-field-underline {
      opacity: 0;
    }

    .mat-mdc-button-toggle:not(.mat-mdc-button-toggle-checked) {
      background-color: transparent;
      opacity: 0.5;
    }
  }

  .mat-mdc-list-item {
    .mat-mdc-form-field-prefix {
      position: absolute;
      top: 0;
      font-size: 70%;
      color: $color-text-med;
    }

    .mat-mdc-form-field-label-wrapper, .mat-mdc-form-field-underline, .mat-mdc-button-toggle {
      transition: opacity 0.2s ease-out, background 0.2s ease-out;
    }
  }

  .edition-table {

    th.mat-mdc-header-cell:not(:first-child):not(:last-child),
    td.mat-mdc-cell:not(:first-child):not(:last-child),
    td.mat-mdc-footer-cell:not(:first-child):not(:last-child) {
      padding-right: 0.25rem;
      padding-left: 0.25rem;
    }

    .mat-mdc-button-toggle-label-content {
      line-height: 35px;
    }

    .mat-mdc-form-field.editable-field {
      width: 100%;

      .mat-mdc-form-field-wrapper {
        padding-bottom: 0;
      }
    }

    .justify-center-child-items {
      display: flex;
      justify-content: center;
    }

    .action-column-edition {
      display: flex;
      justify-content: end;
      flex-direction: column;
    }

    .action-column-edition-buttons {
      display: flex;
      justify-content: end;
      flex-direction: row;
    }
  }

  .edition-line {
    margin-bottom: 0.6rem;
    padding-top: 0.5rem;

    &.saved {
      animation: 0.5s ease-in-out saved;
    }
  }

  @keyframes saved {
    0% {
      background: transparent;
      box-shadow: transparent;
      border-radius: 0;
      transform: scale(1);
    }

    25% {
      background: rgba(0, 200, 0, 0.1);
      box-shadow: 0 0 2px rgba(0, 200, 0, 0.1);
      border-radius: 3px;
      transform: scale(0.995);
    }

    100% {
      background: transparent;
      box-shadow: transparent;
      border-radius: 0;
      transform: scale(1);
    }
  }

  .mat-mdc-column-name {
    flex: none;
    width: 20%;
  }

  .mat-mdc-column-action {
    flex: none;
    width: 5%;
  }

  tr.mat-mdc-row.example-detail-row {
    height: 0;
  }

  .example-element-row td {
    border-bottom-width: 0;
  }

  .example-element-detail {
    overflow: hidden;
    display: flex;
    flex-direction: column;
  }
}
